/*

    clostest.c

    Copyright 1997-1999 by Richard Dawe



    Demonstration of libwin's close-awareness functionality



    ---



    This program is free software; you can redistribute it and/or modify

    it under the terms of the GNU General Public License as published by

    the Free Software Foundation; either version 2 of the License, or

    (at your option) any later version.



    This program is distributed in the hope that it will be useful,

    but WITHOUT ANY WARRANTY; without even the implied warranty of

    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    GNU General Public License for more details.



    You should have received a copy of the GNU General Public License

    along with this program; if not, write to the Free Software

    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



#include <conio.h>

#include <stdio.h>

#include <stdlib.h>



#include <libwin.h>



int main (void)

{

    win_init();



    printf("w95_close_enable() returns %i\n", w95_close_enable());

    printf("Close should be enabled now...press a key\n");



    while (w95_close_query() == CLOSE_CONTINUE) { ; }

    if (w95_close_query() == CLOSE_UNACKNOWLEDGED) w95_close_acknowledge();



    printf("w95_close_query() returns 0x%x\n", w95_close_query());



    return(EXIT_SUCCESS);

}

