/*

    lfntest.c

    Copyright 1997-1999 by Richard Dawe



    Demonstration of libwin's long filename (LFN) functions.



    ---



    This program is free software; you can redistribute it and/or modify

    it under the terms of the GNU General Public License as published by

    the Free Software Foundation; either version 2 of the License, or

    (at your option) any later version.



    This program is distributed in the hope that it will be useful,

    but WITHOUT ANY WARRANTY; without even the implied warranty of

    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    GNU General Public License for more details.



    You should have received a copy of the GNU General Public License

    along with this program; if not, write to the Free Software

    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



/* Include files */

#include <stdio.h>

#include <stdlib.h>

#include <libwin.h>



int main (void)

{

    char buffer[262];

    int result;



    result = w95_lfntosfn("c:\\windows\\resolv.conf", buffer);

    printf("Result: \'%s\'\n", buffer);



    result = w95_lfntosfn("c:\\windows\\host.conf2", buffer);

    printf("Result: \'%s\'\n", buffer);



    result = w95_lfntosfn("Hullaballo", buffer);

    printf("Result: \'%s\'\n", buffer);



    result = w95_lfntosfn("c:\\Program Files", buffer);

    printf("Result: \'%s\'\n", buffer);



    return(EXIT_SUCCESS);

}

