/*

    vertest.c

    Copyright 1997-1999 by Richard Dawe



    Demonstration of libwin's version functions.



    ---



    This program is free software; you can redistribute it and/or modify

    it under the terms of the GNU General Public License as published by

    the Free Software Foundation; either version 2 of the License, or

    (at your option) any later version.



    This program is distributed in the hope that it will be useful,

    but WITHOUT ANY WARRANTY; without even the implied warranty of

    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the

    GNU General Public License for more details.



    You should have received a copy of the GNU General Public License

    along with this program; if not, write to the Free Software

    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/



/* Include files */

#include <stdio.h>

#include <stdlib.h>



#include <libwin.h>



int main (void)

{

    int major, minor, mode, clip;



    printf("win_getversion = %i\n", win_getversion(&major, &minor, &mode));

    printf("Windows %i.%i mode %i\n", major, minor, mode);



    printf("win_winoldap_getversion = %i\n", win_winoldap_getversion(&major, &minor, &clip));

    printf("WinOldAp %i.%i ", major, minor);

    if (clip == 1) printf("with clipboard\n"); else printf("without clipboard\n");



    return(EXIT_SUCCESS);

}

